set font		-*-Helvetica-Medium-R-Normal--*-140-*-*-*-*-*-*
set grafikfont	-*-Helvetica-Medium-R-Normal--*-140-*-*-*-*-*-*
set entry_farbe gray
set select_farbe    darkgreen
set stiftfarbe		darkgreen
set hintergrund white


wm title . "B&W Folgeverbund 2.0"
wm geometry . +30+0


proc tab_sichern { sel_tab sicher_str } {
global  checkbox_param_0_value
global  checkbox_param_1_value
set f [open "tab_auswahl.txt" w]
set pos_x [winfo x .]
set pos_y [winfo y .]
puts  $f $pos_x
puts  $f $pos_y 
puts  $f TAB_SELECT
puts  $f $sel_tab
puts  $f $sicher_str
puts  $f $checkbox_param_0_value
puts  $f $checkbox_param_1_value
close $f
exit }


proc ref_sel_sichern { sicher_str } {
global  checkbox_param_0_value
global  checkbox_param_1_value
set f [open "tab_auswahl.txt" w]
set pos_x [winfo x .]
set pos_y [winfo y .]
puts  $f $pos_x
puts  $f $pos_y 
puts  $f USER_SELECT 
puts  $f $sicher_str 
puts  $f $checkbox_param_0_value
puts  $f $checkbox_param_1_value
close $f
exit }


proc sichern { sicher_str } {
global  checkbox_param_0_value
global  checkbox_param_1_value
set f [open "tab_auswahl.txt" w]
set pos_x [winfo x .]
set pos_y [winfo y .]
puts  $f $pos_x
puts  $f $pos_y 
puts  $f $sicher_str 
puts  $f $checkbox_param_0_value
puts  $f $checkbox_param_1_value
close $f
exit }


frame .frame
scrollbar .frame.vscroll -orient vertical
scrollbar .frame.hscroll -orient horizontal
canvas .canvas  -yscrollcommand ".frame.vscroll set" -xscrollcommand ".frame.hscroll set"
frame .canvas.draw

image create photo gif_picture -file "d:/buw/buw_progdie/mm/component_engine/guides/strack/fixings/str_z4325_b_tab.gif"
label .canvas.draw.sel_picture -image gif_picture -bd 1 -relief sunken
frame .canvas.draw.param 
frame .canvas.draw.param.checkbox_param -bd 3 -relief groove
label	.canvas.draw.param.checkbox_param.hedline -relief groove -text "CHECK_OPTION" -width 25
pack	.canvas.draw.param.checkbox_param.hedline -side top
set checkbox_param_0_value 0
checkbutton .canvas.draw.param.checkbox_param.checkbox_0 -text "WITH_THREADS" -variable checkbox_param_0_value
pack .canvas.draw.param.checkbox_param.checkbox_0 -side top -anchor w
set checkbox_param_1_value 0
checkbutton .canvas.draw.param.checkbox_param.checkbox_1 -text "PATTERN" -variable checkbox_param_1_value
pack .canvas.draw.param.checkbox_param.checkbox_1 -side top -anchor w
pack	.canvas.draw.param.checkbox_param -side left -fill y -expand yes


frame .canvas.draw.param.sel_refs -bd 3 -relief groove
label	.canvas.draw.param.sel_refs.hedline  -bd 3 -relief groove -text "SELECT_REQUIRED" -width 25
pack	.canvas.draw.param.sel_refs.hedline -side top
button .canvas.draw.param.sel_refs.sel_button_1 -font $font -text "(1) FIXING_ELEM: OK" -command { ref_sel_sichern "FIXING_ELEM" }
pack	.canvas.draw.param.sel_refs.sel_button_1 -side top -fill both -expand yes
label	.canvas.draw.param.sel_refs.hedline2  -bd 3 -relief groove -text "SELECT_OPTIONAL" -width 25
pack	.canvas.draw.param.sel_refs.hedline2 -side top
button .canvas.draw.param.sel_refs.sel_button_0 -font $font -text "(2) PATTERN_AXIS: OK" -command { ref_sel_sichern "PATTERN_AXIS" }
pack	.canvas.draw.param.sel_refs.sel_button_0 -side top -fill both -expand yes
pack	.canvas.draw.param.sel_refs -side left -fill y -expand yes


frame	.canvas.draw.statusBar -bd 3 -relief groove
button	.canvas.draw.statusBar.abbrechen -font $font -text "Cancel" -command { sichern "CANCEL" }
pack	.canvas.draw.statusBar.abbrechen -side right -in .canvas.draw.statusBar
button	.canvas.draw.statusBar.ok -font $font -text "Ok" -command { sichern "OK" }
pack	.canvas.draw.statusBar.ok -side right -in .canvas.draw.statusBar
pack	.canvas.draw.sel_picture -side top
pack	.canvas.draw.param -side top -expand yes -fill both
pack	.canvas.draw.statusBar -side bottom -expand yes -fill both
pack .canvas.draw

.canvas create window 0 0 -window .canvas.draw -anchor nw -tags item
grid .canvas -in .frame -row 0 -column 0 -rowspan 1 -columnspan 1 -stick news
grid .frame.vscroll -row 0 -column 1 -rowspan 1 -columnspan 1 -stick news
grid .frame.hscroll -row 1 -column 0 -rowspan 1 -columnspan 1 -stick news
grid rowconfig .frame 0 -weight 1 -minsize 0
grid columnconfig .frame 0 -weight 1 -minsize 0
pack .frame 

update
set requiredHeight [ winfo height .canvas.draw ]
set requiredWidth [ winfo width .canvas.draw ]
set screenHeight [ winfo screenheight . ]
set screenWidth [ winfo screenwidth . ]

if { $requiredHeight < [ expr .9 * $screenHeight ] } {
	set dialogHeight $requiredHeight
	set scrollHeight $requiredHeight
} else {
	set dialogHeight [ expr .9 * $screenHeight ]
	set scrollHeight $requiredHeight
}

if { $requiredWidth < [ expr .9 * $screenWidth ] } {
	set dialogWidth $requiredWidth
set scrollWidth $requiredWidth
} else {
	set dialogWidth [ expr .9 * $screenWidth ]
	set scrollWidth $requiredWidth
}

.canvas config -height $dialogHeight -width $dialogWidth -scrollregion "0 0 $requiredWidth $requiredHeight"

.frame.vscroll config -command ".canvas yview"
.frame.hscroll config -command ".canvas xview"
